Cassandra.AsyncProcessor.describe_ring (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class Cassandra.AsyncProcessor.describe_ring<I extends Cassandra.AsyncIface>

- java.lang.Object
- - org.apache.thrift.AsyncProcessFunction<I,Cassandra.describe_ring_args,java.util.List<TokenRange>>
  - - org.apache.cassandra.thrift.Cassandra.AsyncProcessor.describe_ring<I>

- Enclosing class:
    Cassandra.AsyncProcessor<I extends Cassandra.AsyncIface>

      public static class Cassandra.AsyncProcessor.describe_ring<I extends Cassandra.AsyncIface>
      extends org.apache.thrift.AsyncProcessFunction<I,Cassandra.describe_ring_args,java.util.List<TokenRange>>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `describe_ring()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cassandra.describe_ring_args` | `getEmptyArgsInstance()`
    `org.apache.thrift.async.AsyncMethodCallback<java.util.List<TokenRange>>` | `getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
    `protected boolean` | `isOneway()`
    `void` | `start(I iface, Cassandra.describe_ring_args args, org.apache.thrift.async.AsyncMethodCallback<java.util.List<TokenRange>> resultHandler)`

    - ### Methods inherited from class org.apache.thrift.AsyncProcessFunction

      `getMethodName, sendResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### describe_ring

          public describe_ring()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Cassandra.describe_ring_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.describe_ring_args,java.util.List<TokenRange>>`

    - #### getResultHandler

          public org.apache.thrift.async.AsyncMethodCallback<java.util.List<TokenRange>> getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                                          int seqid)

      Specified by:
        `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.describe_ring_args,java.util.List<TokenRange>>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.describe_ring_args,java.util.List<TokenRange>>`

    - #### start

          public void start(I iface,
                            Cassandra.describe_ring_args args,
                            org.apache.thrift.async.AsyncMethodCallback<java.util.List<TokenRange>> resultHandler)
                     throws org.apache.thrift.TException

      Specified by:
        `start` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.describe_ring_args,java.util.List<TokenRange>>`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation